%define name	qsynth
%define version	0.3.2
%define release %mkrel 1

Name: 	 	%{name}
Summary: 	GUI for fluidsynth soundfont softward synthesizer
Version: 	%{version}
Release: 	%{release}

Source:		http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
URL:		http://qsynth.sourceforge.net/
License:	GPL
Group:		Sound
BuildRequires:	ImageMagick
BuildRequires:	qt4-devel fluidsynth-devel
Requires:	fluidsynth

%description
QSynth is a fluidsynth GUI front-end application written in C++ around the Qt3
toolkit using Qt Designer. Eventually it may evolve into a softsynth
management application allowing the user to control and manage a variety of
command line softsynth but for the moment it wraps the excellent FluidSynth.
FluidSynth is a command line software synthesiser based on the Soundfont
specification.

%prep
%setup -q

%build
export QTDIR=/usr/lib/qt3
export PATH=/usr/lib/qt3/bin:$PATH
perl -pi -e 's/\$QTDIR\/lib/\$QTDIR\/%{_lib}/' configure
%configure2_5x
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="QSynth" longtitle="Soft Synth GUI" section="Multimedia/Sound" xdg="true"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 icons/%name.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 icons/%name.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 icons/%name.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog TODO README
%{_bindir}/%name
%{_menudir}/%name
%{_datadir}/pixmaps/*
%{_datadir}/applications/*.desktop
%{_iconsdir}/*.png
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png


%changelog
* Fri Dec 28 2007 Austin Acton <austin@mandriva.org> 0.3.2-1mdv2008.1
+ Revision: 138719
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Jul 18 2007 Austin Acton <austin@mandriva.org> 0.3.1-1mdv2008.0
+ Revision: 53175
- new version
- use bundled desktop file

* Thu Jun 14 2007 Austin Acton <austin@mandriva.org> 0.2.6-1mdv2008.0
+ Revision: 39348
- new version
- fix menu categories
- Import qsynth



* Sat Sep 16 2006 Emmanuel Andry <eandry@mandriva.org> 0.2.5-5mdv2007.0
- xdg menu

* Tue Mar 28 2006 Austin Acton <austin@mandriva.org> 0.2.5-4mdk
- buildrequires ImageMagick

* Tue Mar 21 2006 Austin Acton <austin@mandriva.org> 0.2.5-3mdk
- really fix x86_64 build

* Tue Mar 21 2006 Austin Acton <austin@mandriva.org> 0.2.5-2mdk
- mkrel

* Sat Mar 18 2006 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net> 0.2.5-1mdk
- Spec change to build on x86_64
- 0.2.5

* Tue Oct 04 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.4-2mdk
- Fix BuildRequires

* Mon Oct 03 2005 Lenny Cartier <lenny@mandriva.com> 0.2.4-1mdk
- 0.2.4

* Tue May 24 2005 Austin Acton <austin@mandriva.org> 0.2.3-1mdk
- 0.2.3
- source URL

* Fri Oct 8 2004 Austin Acton <austin@mandrake.org> 0.2.2-1mdk
- 0.2.2
- configure 2.5

* Sat Jun 5 2004 Austin Acton <austin@mandrake.org> 0.2.1-1mdk
- 0.2.1

* Mon Mar 1 2004 Austin Acton <austin@mandrake.org> 0.1.3-1mdk
- 0.1.3

* Mon Feb 16 2004 Austin Acton <austin@mandrake.org) 0.1.2-1mdk
- 0.1.2

* Tue Dec 30 2003 Austin Acton <austin@linux.ca> 0.1.0-1mdk
- 0.1.0

* Sat Dec 27 2003 Austin Acton <aacton@yorku.ca> 0.0.3-1mdk
- initial package
